#include "BuiltIns.h"

/*
 * This program drives straight!
 * It uses the gyro to get the heading which starts at 0. If the
 * robot is turned either to the right or left, the error
 * (- heading / 2) corrects and steers back straight.
 */

void main ( void )
{
    int heading; 
    
    TwoWheelDrive(2, 1);			// initialize 2 wheel drive
    InitGyro(1);					// calculate gyro bias

    StartGyro ( 1 ) ;				// start the gyro sampling
    while ( 1 )
    {
        heading = GetGyroAngle ( 1 ) ;  // get the angle
        Drive ( 50, - heading/2 ) ;		// do the correction
    }
}

